Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.saml
Class Attribute

    java.lang.Object
      org.openxri.saml.Attribute

    public class Attribute

extends java.lang.Object

This class provides encapsulation of a SAML 2.0 Attribute element

Author:
  =chetan

Constructor Summary
`Attribute()` Constructs a SAML Attribute element
`Attribute(org.w3c.dom.Element oElem)` This method populates the object from DOM.

Method Summary
`java.lang.String` | `dump()` Returns object as a formatted XML string.
`void` | `fromDOM(org.w3c.dom.Element oElem)` This method populates the XRD from DOM.
`java.lang.String` | `getName()` returns the name attribute
`java.lang.String` | `getValue()` returns the text value
`void` | `reset()` Resets the internal state of this object
`void` | `setName(java.lang.String sVal)` sets the name attribute
`void` | `setValue(java.lang.String sVal)` sets the text value
`org.w3c.dom.Element` | `toDOM(org.w3c.dom.Document oDoc)` This method will make DOM using the specified document.
`java.lang.String` | `toString()` Returns formatted object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute()

  Constructs a SAML Attribute element

### Attribute

    public Attribute(org.w3c.dom.Element oElem)

  This method populates the object from DOM. It does not keep a copy of the DOM around. Whitespace information is lost in this process.

Method Detail

### reset

    public void reset()

  Resets the internal state of this object

### fromDOM

    public void fromDOM(org.w3c.dom.Element oElem)

  This method populates the XRD from DOM. It does not keep a copy of the DOM around. Whitespace information is lost in this process.

### toDOM

    public org.w3c.dom.Element toDOM(org.w3c.dom.Document oDoc)

  This method will make DOM using the specified document. If any DOM state has been stored with the object, it will not be used in this method. This method generates a reference-free copy of new DOM.

  Parameters:
    `oDoc` - - The document to use for generating DOM

### getName

    public java.lang.String getName()

  returns the name attribute

### getValue

    public java.lang.String getValue()

  returns the text value

### setValue

    public void setValue(java.lang.String sVal)

  sets the text value

### setName

    public void setName(java.lang.String sVal)

  sets the name attribute

### toString

    public java.lang.String toString()

  Returns formatted object. Do not use if signature needs to be preserved.

  Overrides:
    `toString` in class `java.lang.Object`

### dump

    public java.lang.String dump()

  Returns object as a formatted XML string.

  Parameters:
    `sTab` - - The characters to prepend before each new line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.